Skip to content

Change your password; ends your other sessions

POST
/v1/me/password
curl --request POST \
--url https://example.com/v1/me/password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "current_password": "example", "new_password": "example" }'

Who: a signed-in user, not an API key. Not for API keys.

Media typeapplication/json
object
current_password
required
string
new_password
required
string

Example generated

{
"current_password": "example",
"new_password": "example"
}

Done; no body

An error, as go-commons apperr maps it

Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string

Example generated

{
"error": {
"code": "example",
"fields": {
"additionalProperty": "example"
},
"message": "example"
}
}